<!-- ===== Show loading gif until Note Detail information is returned by server ===== -->
<ng-template #loading>
    <div class="col-12 load-spinner">
        <training-app-spinner></training-app-spinner>
    </div>
</ng-template>

<!-- ===== Show the Note detail =====-->
<div class="card" *ngIf="note!=null; else loading">
    <div class="note-detail card-body">
        <div class="title">{{note.title}}</div>
        <div class="date">{{note.lastUpdatedDate | date: 'longDate'}}</div>
        <div class="body-minimal" [innerHTML]="htmlBody">{{note.body}}</div>
    </div>
</div>